package com.hzya.frame.seeyon.entity;

import com.hzya.frame.web.entity.BaseEntity;

import java.io.File;

/**
 * @Description OA附件表
 * @Author xiangerlin
 * @Date 2021/10/29 08:56
 **/
public class CtpFileEntity extends BaseEntity {
    private String category;//应用类别
    private String type;//类型
    private String filename;//文件名
    private String mime_type;//文件类型
    private String create_date;
    private String create_member;
    private String file_size;//大小
    private String description;//描述
    private String update_date;
    private String account_id;


    private File file;//临时用
    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public String getMime_type() {
        return mime_type;
    }

    public void setMime_type(String mime_type) {
        this.mime_type = mime_type;
    }

    public String getCreate_date() {
        return create_date;
    }

    public void setCreate_date(String create_date) {
        this.create_date = create_date;
    }

    public String getCreate_member() {
        return create_member;
    }

    public void setCreate_member(String create_member) {
        this.create_member = create_member;
    }

    public String getFile_size() {
        return file_size;
    }

    public void setFile_size(String file_size) {
        this.file_size = file_size;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getUpdate_date() {
        return update_date;
    }

    public void setUpdate_date(String update_date) {
        this.update_date = update_date;
    }

    public String getAccount_id() {
        return account_id;
    }

    public void setAccount_id(String account_id) {
        this.account_id = account_id;
    }

    public File getFile() {
        return file;
    }

    public void setFile(File file) {
        this.file = file;
    }
}
